import FWCore.ParameterSet.Config as cms

XMLIdealGeometryESSource = cms.ESSource("XMLIdealGeometryESSource",
    geomXMLFiles = cms.vstring('Geometry/CMSCommonData/data/materials.xml',
        'Geometry/CMSCommonData/data/rotations.xml',
        'Geometry/CMSCommonData/data/extend/cmsextent.xml',
        'Geometry/CMSCommonData/data/PhaseI/cms.xml',
        'Geometry/CMSCommonData/data/cmsMother.xml',
        'Geometry/CMSCommonData/data/eta3/etaMax.xml',
        'Geometry/CMSCommonData/data/cmsTracker.xml',
        'Geometry/CMSCommonData/data/PhaseII/caloBase.xml',
        'Geometry/CMSCommonData/data/cmsCalo.xml',
        'Geometry/CMSCommonData/data/PhaseII/muonBase.xml',
        'Geometry/CMSCommonData/data/cmsMuon.xml',
        'Geometry/CMSCommonData/data/mgnt.xml',
        'Geometry/CMSCommonData/data/PhaseII/beampipe.xml',
        'Geometry/CMSCommonData/data/cmsBeam.xml',
        'Geometry/CMSCommonData/data/muonMB.xml',
        'Geometry/CMSCommonData/data/muonMagnet.xml',
        'Geometry/CMSCommonData/data/cavern.xml',
        'Geometry/TrackerCommonData/data/PhaseII/Pixel10D/pixfwdMaterials.xml',
        'Geometry/TrackerCommonData/data/pixfwdCommon.xml',
        'Geometry/TrackerCommonData/data/PhaseII/Pixel10D/pixfwdCylinder.xml', 
        'Geometry/TrackerCommonData/data/PhaseII/Pixel10D/pixfwd.xml', 
        'Geometry/TrackerCommonData/data/PhaseII/Pixel10D/pixfwdDisks.xml', 
        'Geometry/TrackerCommonData/data/PhaseII/Pixel10D/pixfwdInnerDisk1.xml',
        'Geometry/TrackerCommonData/data/PhaseII/Pixel10D/pixfwdInnerDisk2.xml',
        'Geometry/TrackerCommonData/data/PhaseII/Pixel10D/pixfwdInnerDisk3.xml',
        'Geometry/TrackerCommonData/data/PhaseII/Pixel10D/pixfwdInnerDisk4.xml',
        'Geometry/TrackerCommonData/data/PhaseII/Pixel10D/pixfwdInnerDisk5.xml',
        'Geometry/TrackerCommonData/data/PhaseII/Pixel10D/pixfwdInnerDisk6.xml',
        'Geometry/TrackerCommonData/data/PhaseII/Pixel10D/pixfwdInnerDisk7.xml',
        'Geometry/TrackerCommonData/data/PhaseII/Pixel10D/pixfwdOuterDisk1.xml',
        'Geometry/TrackerCommonData/data/PhaseII/Pixel10D/pixfwdOuterDisk2.xml',
        'Geometry/TrackerCommonData/data/PhaseII/Pixel10D/pixfwdOuterDisk3.xml',
        'Geometry/TrackerCommonData/data/PhaseII/Pixel10D/pixfwdOuterDisk4.xml',
        'Geometry/TrackerCommonData/data/PhaseII/Pixel10D/pixfwdOuterDisk5.xml',
        'Geometry/TrackerCommonData/data/PhaseII/Pixel10D/pixfwdOuterDisk6.xml',
        'Geometry/TrackerCommonData/data/PhaseII/Pixel10D/pixfwdOuterDisk7.xml',
        'Geometry/TrackerCommonData/data/PhaseII/Pixel10D/pixfwdOuterDisk8.xml',
        'Geometry/TrackerCommonData/data/PhaseII/Pixel10D/pixfwdOuterDisk9.xml',
        'Geometry/TrackerCommonData/data/PhaseII/Pixel10D/pixfwdOuterDisk10.xml',
        'Geometry/TrackerCommonData/data/PhaseII/Pixel10D/pixfwdblade1.xml',
        'Geometry/TrackerCommonData/data/PhaseII/Pixel10D/pixfwdblade2.xml',
        'Geometry/TrackerCommonData/data/PhaseII/Pixel10D/pixfwdblade3.xml',
        'Geometry/TrackerCommonData/data/PhaseII/Pixel10D/pixfwdblade4.xml',
        'Geometry/TrackerCommonData/data/PhaseII/Pixel10D/pixfwdblade5.xml',
        'Geometry/TrackerCommonData/data/PhaseII/Pixel10D/pixfwdblade6.xml',
        'Geometry/TrackerCommonData/data/PhaseII/Pixel10D/pixfwdblade7.xml',
        'Geometry/TrackerCommonData/data/PhaseII/Pixel10D/pixfwdblade8.xml',
        'Geometry/TrackerCommonData/data/PhaseII/Pixel10D/pixfwdblade9.xml',
        'Geometry/TrackerCommonData/data/PhaseII/Pixel10D/pixfwdblade10.xml',
        'Geometry/TrackerCommonData/data/PhaseI/pixbarmaterial.xml', 
        'Geometry/TrackerCommonData/data/PhaseI/pixbarladder.xml', 
        'Geometry/TrackerCommonData/data/PhaseI/pixbarladderfull0.xml', 
        'Geometry/TrackerCommonData/data/PhaseI/pixbarladderfull1.xml', 
        'Geometry/TrackerCommonData/data/PhaseI/pixbarladderfull2.xml', 
        'Geometry/TrackerCommonData/data/PhaseI/pixbarladderfull3.xml', 
        'Geometry/TrackerCommonData/data/PhaseI/pixbarlayer.xml', 
        'Geometry/TrackerCommonData/data/PhaseI/pixbarlayer0.xml', 
        'Geometry/TrackerCommonData/data/PhaseI/pixbarlayer1.xml', 
        'Geometry/TrackerCommonData/data/PhaseI/pixbarlayer2.xml', 
        'Geometry/TrackerCommonData/data/PhaseI/pixbarlayer3.xml', 
        'Geometry/TrackerCommonData/data/PhaseII/BarrelEndcap5D/pixbar.xml', 
        'Geometry/TrackerCommonData/data/trackermaterial.xml',
        'Geometry/TrackerCommonData/data/PhaseII/BarrelEndcap5D/tracker.xml',
        'Geometry/TrackerCommonData/data/trackerpixbar.xml',
        'Geometry/TrackerCommonData/data/PhaseI/trackerpixfwd.xml',
        'Geometry/EcalCommonData/data/PhaseII/eregalgo.xml',
        'Geometry/EcalCommonData/data/ebalgo.xml',
        'Geometry/EcalCommonData/data/ebcon.xml',
        'Geometry/EcalCommonData/data/ebrot.xml',
        'Geometry/EcalCommonData/data/eecon.xml',
        'Geometry/EcalCommonData/data/ectkcable.xml',
        'Geometry/EcalCommonData/data/PhaseII/esalgo.xml',
        'Geometry/EcalCommonData/data/PhaseII/escon.xml',
        'Geometry/HcalCommonData/data/hcalrotations.xml',
        'Geometry/HcalCommonData/data/PhaseII/NoHE/hcalalgo.xml',
        'Geometry/HcalCommonData/data/hcalcablealgo.xml',
        'Geometry/HcalCommonData/data/hcalbarrelalgo.xml',
        'Geometry/HcalCommonData/data/hcalouteralgo.xml',
        'Geometry/HcalCommonData/data/hcalforwardalgo.xml',
        'Geometry/HcalCommonData/data/hcalforwardfibre.xml',
        'Geometry/HcalCommonData/data/hcalforwardmaterial.xml',
        'Geometry/HGCalCommonData/data/v5/hgcal.xml',
        'Geometry/HGCalCommonData/data/v5/hgcalEE.xml',
        'Geometry/HGCalCommonData/data/v5/hgcalHEsil.xml',
        'Geometry/HGCalCommonData/data/v5/hgcalHEsci.xml',
        'Geometry/HGCalCommonData/data/v5/hgcalCons.xml',
        'Geometry/MuonCommonData/data/mbCommon.xml',
        'Geometry/MuonCommonData/data/mb1.xml',
        'Geometry/MuonCommonData/data/mb2.xml',
        'Geometry/MuonCommonData/data/mb3.xml',
        'Geometry/MuonCommonData/data/mb4.xml',
        'Geometry/MuonCommonData/data/muonYoke.xml',
        'Geometry/MuonCommonData/data/mf.xml',
        'Geometry/ForwardCommonData/data/forward.xml',
        'Geometry/ForwardCommonData/data/forwardshield.xml',
        'Geometry/ForwardCommonData/data/brmrotations.xml',
        'Geometry/ForwardCommonData/data/brm.xml',
        'Geometry/ForwardCommonData/data/totemMaterials.xml',
        'Geometry/ForwardCommonData/data/totemRotations.xml',
        'Geometry/ForwardCommonData/data/totemt1.xml',
        'Geometry/ForwardCommonData/data/totemt2.xml',
        'Geometry/ForwardCommonData/data/ionpump.xml',
        'Geometry/ForwardCommonData/data/castor.xml',
        'Geometry/ForwardCommonData/data/zdcmaterials.xml',
        'Geometry/ForwardCommonData/data/lumimaterials.xml',
        'Geometry/ForwardCommonData/data/zdcrotations.xml',
        'Geometry/ForwardCommonData/data/lumirotations.xml',
        'Geometry/ForwardCommonData/data/plt.xml',   
        'Geometry/ForwardCommonData/data/zdc.xml',
        'Geometry/ForwardCommonData/data/zdclumi.xml',
        'Geometry/ForwardCommonData/data/cmszdc.xml',
        'Geometry/FP420CommonData/data/fp420.xml',
        'Geometry/FP420CommonData/data/zzzrectangle.xml',
        'Geometry/FP420CommonData/data/materialsfp420.xml',
        'Geometry/FP420CommonData/data/FP420Rot.xml',
        'Geometry/FP420CommonData/data/cmsfp420.xml')+cms.vstring(
        'Geometry/MuonCommonData/data/muonNumbering.xml',
        'Geometry/TrackerCommonData/data/trackerStructureTopology.xml',
        'Geometry/TrackerSimData/data/trackersens.xml',
        'Geometry/TrackerRecoData/data/trackerRecoMaterial.xml',
        'Geometry/EcalSimData/data/PhaseII/ecalsens.xml',
        'Geometry/HcalCommonData/data/PhaseII/NoHE/hcalsens.xml',
        'Geometry/HcalCommonData/data/PhaseII/NoHE/hcalSimNumbering.xml',
        'Geometry/HcalCommonData/data/PhaseII/NoHE/hcalRecNumbering.xml',
        'Geometry/HcalSimData/data/CaloUtil.xml',
        'Geometry/HcalSimData/data/hf.xml', 
        'Geometry/HcalSimData/data/hffibre.xml', 
        'Geometry/HGCalSimData/data/hgcsens.xml', 
        'Geometry/HGCalSimData/data/hgccons.xml', 
        'Geometry/MuonSimData/data/muonSens.xml',
        'Geometry/DTGeometryBuilder/data/dtSpecsFilter.xml',
        'Geometry/CSCGeometryBuilder/data/cscSpecsFilter.xml',
        'Geometry/CSCGeometryBuilder/data/cscSpecs.xml',
        'Geometry/RPCGeometryBuilder/data/RPCSpecs.xml',
        'Geometry/ForwardCommonData/data/brmsens.xml',
        'Geometry/ForwardSimData/data/totemsensT1.xml',
        'Geometry/ForwardSimData/data/totemsensT2.xml',
        'Geometry/ForwardSimData/data/castorsens.xml',
        'Geometry/ForwardSimData/data/pltsens.xml',
        'Geometry/ForwardSimData/data/zdcsens.xml',
        'Geometry/FP420SimData/data/fp420sens.xml',
        'Geometry/HcalSimData/data/HcalProdCuts.xml',
        'Geometry/EcalSimData/data/EcalProdCuts.xml',
        'Geometry/HGCalSimData/data/hgcProdCuts.xml', 
        'Geometry/TrackerSimData/data/trackerProdCuts.xml',
        'Geometry/TrackerSimData/data/trackerProdCutsBEAM.xml',
        'Geometry/MuonSimData/data/muonProdCuts.xml',
        'Geometry/ForwardSimData/data/CastorProdCuts.xml',
        'Geometry/ForwardSimData/data/zdcProdCuts.xml',
        'Geometry/ForwardSimData/data/ForwardShieldProdCuts.xml',
        'Geometry/FP420SimData/data/FP420ProdCuts.xml',
        'Geometry/CMSCommonData/data/FieldParameters.xml'),
    rootNodeName = cms.string('cms:OCMS')
)


