import FWCore.ParameterSet.Config as cms
import SLHCUpgradeSimulations.Configuration.customise_PFlow as customise_PFlow

#GEN-SIM so far...
def customise(process):
    if hasattr(process,'DigiToRaw'):
        process=customise_DigiToRaw(process)
    if hasattr(process,'RawToDigi'):
        process=customise_RawToDigi(process)
    n=0
    if hasattr(process,'reconstruction') or hasattr(process,'dqmoffline_step'):
        if hasattr(process,'mix'):
            if hasattr(process.mix,'input'):
                n=process.mix.input.nbPileupEvents.averageNumber.value()
        else:
            print 'phase1TkCustoms requires a --pileup option to cmsDriver to run the reconstruction/dqm'
            print 'Please provide one!'
            sys.exit(1)
    if hasattr(process,'reconstruction'):
        process=customise_Reco(process,float(n))
    if hasattr(process,'digitisation_step'):
        process=customise_Digi(process)
    if hasattr(process,'dqmoffline_step'):
        process=customise_DQM(process,n)
    if hasattr(process,'dqmHarvesting'):
        process=customise_harvesting(process)
    if hasattr(process,'validation_step'):
        process=customise_Validation(process,float(n))
    process=customise_condOverRides(process)
    
    return process

def customise_Digi(process):
    process.mix.digitizers.pixel.MissCalibrate = False
    process.mix.digitizers.pixel.LorentzAngle_DB = False
    process.mix.digitizers.pixel.killModules = True
    
    dead=cms.VPSet()
    dead.extend([ 
        cms.PSet(Dead_detID = cms.int32(307237244), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307237248), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307237336), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307237332), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307241108), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307241112), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307241264), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307241260), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307241384), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307241380), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307245328), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307245324), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307249392), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307249388), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307249452), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307249456), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307249480), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307249476), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307253276), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307253280), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307253356), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307253360), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307253460), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307253464), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307253464), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307253460), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307253564), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307253568), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307257560), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307257556), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307257780), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307257784), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307257836), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307257840), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307261696), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307261692), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307261808), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307261804), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307261820), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307261824), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307261920), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307261916), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307261932), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307261936), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307265624), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307265620), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307265772), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307265776), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307270024), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307270020), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307270032), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307270028), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307273856), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307273852), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307273908), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307273912), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307274060), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307274064), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307278180), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307278184), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307282164), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307282168), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307286292), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307286296), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307286412), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307286416), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307286440), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307286436), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307286444), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307286448), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307286512), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307286508), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307290500), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307290504), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307294232), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307294228), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307294304), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307294300), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307294440), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307294436), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307294660), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307294664), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307298412), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307298416), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307298724), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307298728), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307298780), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307298784), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308285456), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308285452), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308285620), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308285624), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308285876), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308285880), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308289784), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308289780), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308289940), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308289944), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308293848), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308293844), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308297928), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308297924), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308298044), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308298048), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308302176), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308302172), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308306080), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308306076), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308310104), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308310100), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308310124), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308310128), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308310432), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308310428), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308314164), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308314168), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308314380), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308314384), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308314512), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308314508), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308318412), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308318416), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308318480), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308318476), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308318648), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308318644), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308322600), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308322596), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308322640), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308322636), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308322728), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308322724), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308326468), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308326472), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308326488), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308326484), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308330500), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308330504), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308330900), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308330904), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308334696), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308334692), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308338712), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308338708), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308338752), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308338748), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308338912), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308338908), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308339064), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308339060), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308342908), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308342912), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308343192), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308343188), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308343216), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308343212), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308346980), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308346984), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308347124), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308347128), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308347168), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308347164), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308347256), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308347252), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308351108), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308351112), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308351388), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308351392), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308351396), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308351400), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308355416), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308355412), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308355456), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308355452), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308355512), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308355508), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308359208), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308359204), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308359344), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308359340), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308359540), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308359544), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308359556), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308359560), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308359592), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308359588), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308363372), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308363376), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308363568), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308363564), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308363604), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308363608), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308371464), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308371460), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308371472), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308371468), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308371528), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308371524), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308371548), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308371552), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308371572), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308371576), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308375820), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308375824), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308375936), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308375932), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308379808), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308379804), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308379856), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308379852), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308379864), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308379860), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309334028), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309334032), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309334396), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309334400), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309334420), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309334424), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309338152), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309338148), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309338404), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309338408), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309342216), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309342212), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309342500), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309342504), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309342588), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309342592), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309342608), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309342604), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309346424), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309346420), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309346480), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309346476), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309346584), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309346580), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309354636), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309354640), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309354768), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309354764), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309354772), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309354776), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309354812), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309354816), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309358652), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309358656), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309358936), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309358932), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309362720), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309362716), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309366912), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309366908), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309366928), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309366924), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309366944), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309366940), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309367032), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309367028), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309367132), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309367136), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309367164), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309367168), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309370948), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309370952), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309371188), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309371192), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309371228), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309371232), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309371292), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309371296), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309374980), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309374984), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309379092), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309379096), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309379124), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309379128), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309379196), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309379200), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309379400), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309379396), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309379416), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309379412), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309379424), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309379420), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309379480), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309379476), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309383196), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309383200), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309383448), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309383444), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309383540), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309383544), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309387316), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309387320), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309387328), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309387324), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309387364), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309387368), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309387492), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309387496), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309391704), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309391700), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309395752), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309395748), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309395824), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309395820), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309399880), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309399876), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309399912), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309399908), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309399916), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309399920), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309403720), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309403716), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309407936), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309407932), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309411892), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309411896), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309412028), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309412032), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309412124), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309412128), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309412204), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309412208), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309416036), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309416040), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309416084), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309416088), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309416120), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309416116), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309416316), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309416320), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309420060), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309420064), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309420292), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309420296), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309420460), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309420464), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309424212), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309424216), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309424252), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309424256), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309424336), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309424332), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309424536), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309424532), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309428344), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309428340), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309432700), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309432704), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309436444), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309436448), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309436492), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309436496), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309436556), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309436560), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309436572), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309436576), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309440560), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309440556), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309440580), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309440584), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309444712), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309444708), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309444796), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309444800), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309444832), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309444828), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309448784), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309448780), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309448972), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309448976), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309452924), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309452928), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309453080), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309453076), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309457100), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309457104), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309461008), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309461004), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309461088), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309461084), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309461204), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309461208), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309461388), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309461392), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309461424), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309461420), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309465488), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309465484), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309469332), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309469336), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309469364), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309469368), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310382648), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310382644), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310386828), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310386832), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310395012), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310395016), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310399044), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310399048), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310403180), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310403184), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310407180), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310407184), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310415500), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310415504), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310419556), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310419560), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310431808), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310431804), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310431876), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310431880), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310431880), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310431876), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310444108), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310444112), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310444172), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310444176), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310452340), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310452344), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310456328), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310456324), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310456380), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310456384), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310460440), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310460436), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310460520), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310460516), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310464564), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310464568), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310464664), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310464660), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310468660), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310468664), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310472728), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310472724), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310472748), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310472752), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310472812), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310472816), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310472888), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310472884), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310476896), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310476892), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310476924), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310476928), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310481008), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310481004), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310481064), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310481060), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310489192), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310489188), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310493196), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310493200), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310493216), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310493212), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310493376), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310493372), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310501404), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310501408), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310501412), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310501416), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310501456), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310501452), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310501508), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310501512), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310501540), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310501544), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310501548), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310501552), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310509608), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310509604), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310513760), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310513756), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310513856), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310513852), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310517780), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310517784), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310522020), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310522024), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310530132), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310530136), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310530144), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310530140), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310538252), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310538256), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310542504), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310542500), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310542512), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310542508), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310546460), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310546464), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310550628), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310550632), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310554656), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310554652), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310558728), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310558724), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310558764), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310558768), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310558788), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310558792), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310558896), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310558892), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310571124), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310571128), Module = cms.string('whole')),
    	 ]);
    dead.extend([ 
        cms.PSet(Dead_detID = cms.int32(311431192), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311431188), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311435276), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311435280), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311435372), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311435376), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311435448), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311435444), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311451712), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311451708), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311460016), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311460012), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311464012), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311464016), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311468164), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311468168), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311472140), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311472144), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311472208), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311472204), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311472252), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311472256), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311472264), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311472260), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311472280), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311472276), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311476240), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311476236), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311476412), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311476416), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311480392), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311480388), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311488544), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311488540), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311488636), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311488640), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311492660), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311492664), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311496808), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311496804), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311496852), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311496856), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311500976), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311500972), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311517360), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311517356), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311521384), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311521380), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311521392), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311521388), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311533592), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311533588), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311533660), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311533664), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311533664), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311533660), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311537684), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311537688), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311541864), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311541860), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311541888), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311541884), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311546016), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311546012), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311550032), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311550028), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311550052), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311550056), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311550104), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311550100), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311554228), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311554232), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311562244), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311562248), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311562264), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311562260), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311566512), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311566508), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311570436), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311570440), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311570468), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311570472), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311570508), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311570512), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311570608), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311570604), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311574552), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311574548), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311574644), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311574648), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311582772), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311582776), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311582828), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311582832), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311586992), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311586988), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311590976), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311590972), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311591040), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311591036), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311595040), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311595036), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311595196), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311595200), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311599140), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311599144), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311599188), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311599192), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311603248), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311603244), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311607396), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311607400), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311615568), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311615564), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311615620), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311615624), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311615644), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311615648), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311615648), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311615644), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311619756), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311619760), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311627860), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311627864), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311644180), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311644184), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311644320), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311644316), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311648396), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311648400), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311648408), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311648404), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311652448), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311652444), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311652516), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311652520), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311656532), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311656536), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311656544), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311656540), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311656636), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311656640), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311660548), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311660552), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311660560), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311660556), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311660600), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311660596), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311660692), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311660696), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311660732), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311660736), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311668760), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311668756), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311672872), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311672868), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311672916), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311672920), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311672956), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311672960), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311672984), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311672980), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311672996), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311673000), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311677024), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311677020), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312479868), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312479872), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312483904), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312483900), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312483956), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312483960), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312487972), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312487976), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312487984), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312487980), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312488052), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312488056), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312492216), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312492212), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312496284), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312496288), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312500268), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312500272), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312508428), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312508432), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312508560), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312508556), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312508576), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312508572), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312512520), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312512516), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312512552), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312512548), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312512608), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312512604), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312512632), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312512628), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312512684), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312512688), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312520848), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312520844), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312524856), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312524852), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312529012), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312529016), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312529072), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312529068), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312537108), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312537112), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312537180), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312537184), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312537236), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312537240), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312541252), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312541256), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312541340), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312541344), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312541376), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312541372), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312545304), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312545300), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312553568), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312553564), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312553632), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312553628), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312557624), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312557620), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312557688), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312557684), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312561728), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312561724), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312561808), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312561804), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312561816), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312561812), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312565788), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312565792), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312565840), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312565836), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312565860), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312565864), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312569892), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312569896), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312569900), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312569904), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312574000), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312573996), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312574048), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312574044), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312578168), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312578164), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312582188), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312582192), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312582304), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312582300), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312582312), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312582308), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312586344), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312586340), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312594512), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312594508), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312598544), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312598540), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312598556), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312598560), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312598580), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312598584), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312598720), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312598716), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312602700), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312602704), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312606732), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312606736), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312610832), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312610828), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312610868), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312610872), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312610888), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312610884), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312614920), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312614916), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312614952), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312614948), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312619064), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312619060), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312619192), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312619188), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312623156), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312623160), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312623260), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312623264), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312627324), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312627328), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312631404), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312631408), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312631464), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312631460), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312635408), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312635404), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312635416), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312635412), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312643620), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312643624), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312643676), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312643680), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312647692), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312647696), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312647704), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312647700), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312647872), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312647868), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312651788), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312651792), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312660156), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312660160), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312668208), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312668204), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312672328), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312672324), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312676444), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312676448), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312684664), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312684660), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312684696), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312684692), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312692888), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312692884), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312696836), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312696840), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312709176), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312709172), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312713280), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312713276), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312725568), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312725564), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312729656), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312729652), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312733728), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312733724), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312737952), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312737948), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312742064), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312742060), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312750104), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312750100), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312754224), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312754220), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312754284), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312754288), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312754324), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312754328), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312766508), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312766512), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312766604), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312766608), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312770736), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312770732), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312778816), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312778812), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312782944), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312782940), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312787068), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312787072), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312787088), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(312787084), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355210248), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355210244), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355214428), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355214432), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355218556), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355218560), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355218572), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355218576), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355222576), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355222572), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355222608), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355222604), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355222612), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355222616), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355222620), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355222624), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355222652), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355222656), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355222748), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355222752), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355226660), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355226664), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355230984), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355230980), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355238948), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355238952), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355239136), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355239132), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355243140), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355243144), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355243176), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355243172), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355243280), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355243276), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355247152), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355247148), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355247216), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355247212), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355247240), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355247236), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355255300), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355255304), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355255344), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355255340), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355255444), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355255448), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355255556), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355255560), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355255576), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355255572), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355255580), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355255584), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355255776), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355255772), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355259852), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355259856), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355263624), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355263620), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355263712), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355263708), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355263796), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355263800), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355264024), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355264020), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355264032), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355264028), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355264076), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355264080), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355267684), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355267688), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355267728), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355267724), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355267756), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355267760), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355268128), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355268124), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355472424), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355472420), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355480704), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355480700), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355480712), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355480708), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355484712), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355484708), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355484884), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355484888), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355488788), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355488792), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355488844), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355488848), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355488956), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355488960), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355492976), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355492972), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355497084), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355497088), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355497244), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355497248), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355501104), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355501100), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355501212), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355501216), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355501216), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355501212), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355505188), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355505192), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355509404), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355509408), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355509500), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355509504), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355509568), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355509564), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355509636), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355509640), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355513500), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355513504), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355513616), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355513612), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355517548), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355517552), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355517684), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355517688), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355517708), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355517712), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355517836), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355517840), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355521576), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355521572), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355521616), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355521612), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355521744), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355521740), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355521780), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355521784), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355525772), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355525776), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355525888), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355525884), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355525892), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355525896), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355526220), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355526224), Module = cms.string('whole')),
    	 ]);
    dead.extend([ 
        cms.PSet(Dead_detID = cms.int32(355530000), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355529996), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355530084), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355530088), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355530156), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355530160), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355530204), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355530208), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355734604), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355734608), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355734664), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355734660), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355742732), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355742736), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355742880), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355742876), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355742884), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355742888), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355742912), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355742908), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355751080), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355751076), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355759184), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355759180), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355759260), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355759264), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355759380), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355759384), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355763384), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355763380), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355763436), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355763440), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355763472), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355763468), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355767604), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355767608), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355771648), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355771644), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355775608), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355775604), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355779604), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355779608), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355779836), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355779840), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355779916), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355779920), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355780056), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355780052), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355780072), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355780068), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355783768), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355783764), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355783780), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355783784), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355783792), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355783788), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355783844), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355783848), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355783964), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355783968), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355783988), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355783992), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355784036), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355784040), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355787832), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355787828), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355788228), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355788232), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355788332), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355788336), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355791996), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355792000), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355792316), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355792320), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355792396), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355792400), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355792428), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355792432), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355792484), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355792488), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355996772), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355996776), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356000936), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356000932), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356000944), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356000940), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356004936), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356004932), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356013128), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356013124), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356013312), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356013308), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356017208), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356017204), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356017372), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356017376), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356021284), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356021288), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356021344), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356021340), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356021372), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356021376), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356025348), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356025352), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356025552), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356025548), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356029524), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356029528), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356029608), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356029604), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356029632), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356029628), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356029652), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356029656), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356029744), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356029740), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356033652), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356033656), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356033660), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356033664), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356033864), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356033860), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356033884), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356033888), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356037748), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356037752), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356037776), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356037772), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356037896), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356037892), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356041860), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356041864), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356041896), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356041892), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356041996), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356042000), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356042016), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356042012), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356045956), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356045960), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356045960), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356045956), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356046056), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356046052), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356046104), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356046100), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356046108), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356046112), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356046168), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356046164), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356050036), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356050040), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356050092), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356050096), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356050112), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356050108), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356050372), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356050376), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356054132), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356054136), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356054148), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356054152), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356054200), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356054196), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356054328), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356054324), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356054532), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356054536), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356258828), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356258832), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356258884), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356258888), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356267184), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356267180), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356275420), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356275424), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356279444), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356279448), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356279516), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356279520), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356283560), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356283556), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356287548), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356287552), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356287572), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356287576), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356291788), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356291792), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356295716), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356295720), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356295788), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356295792), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356299944), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356299940), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356300052), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356300056), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356300104), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356300100), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356300112), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356300108), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356304068), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356304072), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356304212), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356304216), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356304376), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356304372), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356308076), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356308080), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356312084), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356312088), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356312388), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356312392), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356312508), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356312512), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356312672), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356312668), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356316184), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356316180), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356316400), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356316396), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356316432), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356316428), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356316700), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356316704), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356316800), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356316796), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346821636), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346821640), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346821704), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346821700), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346825780), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346825784), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346829864), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346829860), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346833928), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346833924), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346834000), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346833996), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346834048), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346834044), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346838024), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346838020), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346838188), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346838192), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346842200), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346842196), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346846380), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346846384), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346846452), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346846456), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346850412), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346850416), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346850432), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346850428), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346850488), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346850484), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346850584), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346850580), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346854624), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346854620), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346854628), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346854632), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346858608), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346858604), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346858684), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346858688), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346858708), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346858712), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346862600), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346862596), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346862652), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346862656), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346862680), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346862676), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346862932), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346862936), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346863020), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346863024), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346866776), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346866772), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346866784), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346866780), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346866948), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346866952), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346866976), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346866972), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346867020), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346867024), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346867120), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346867116), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346870848), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346870844), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346871164), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346871168), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346871308), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346871312), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346875144), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346875140), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346875196), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346875200), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346875272), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346875268), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346875308), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346875312), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346875320), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346875316), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346878984), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346878980), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346879112), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346879108), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346879192), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346879188), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346879240), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346879236), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346879300), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346879304), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346879484), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346879488), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347087880), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347087876), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347088048), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347088044), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347096076), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347096080), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347096128), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347096124), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347096196), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347096200), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347096272), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347096268), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347100220), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347100224), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347100292), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347100296), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347100320), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347100316), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347104296), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347104292), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347104332), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347104336), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347108452), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347108456), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347108528), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347108524), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347116588), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347116592), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347116624), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347116620), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347120872), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347120868), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347120892), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347120896), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347120976), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347120972), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347124748), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347124752), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347125052), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347125056), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347125108), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347125112), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347125116), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347125120), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347128848), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347128844), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347128856), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347128852), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347128948), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347128952), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347129020), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347129024), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347129152), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347129148), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347132940), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347132944), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347133112), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347133108), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347133208), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347133204), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347133248), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347133244), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347133276), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347133280), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347137172), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347137176), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347137220), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347137224), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347137372), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347137376), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347137396), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347137400), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347137548), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347137552), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347354124), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347354128), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347354228), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347354232), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347358432), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347358428), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347362320), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347362316), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347366444), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347366448), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347366500), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347366504), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347366556), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347366560), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347366648), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347366644), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347370548), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347370552), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347370648), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347370644), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347374624), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347374620), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347374636), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347374640), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347374772), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347374776), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347374800), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347374796), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347378756), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347378760), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347378872), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347378868), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347382868), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347382872), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347382916), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347382920), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347382956), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347382960), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347383040), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347383036), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347383108), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347383112), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347387060), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347387064), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347387272), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347387268), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347391188), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347391192), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347391264), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347391260), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347391360), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347391356), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347391404), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347391408), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347391448), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347391444), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347395260), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347395264), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347395300), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347395304), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347399388), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347399392), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347399480), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347399476), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347399496), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347399492), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347399516), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347399520), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347399768), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347399764), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347403352), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347403348), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347403456), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347403452), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347403620), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347403624), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347403640), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347403636), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347403716), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347403720), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347403868), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347403872), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347612300), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347612304), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347616276), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347616280), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347620388), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347620392), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347628580), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347628584), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347632728), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347632724), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347632924), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347632928), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347636932), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347636936), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347640848), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347640844), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347640948), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347640952), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347640996), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347641000), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347641048), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347641044), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347645132), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347645136), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347645180), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347645184), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347649096), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347649092), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347649140), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347649144), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347649144), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347649140), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347649212), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347649216), Module = cms.string('whole')),
    	 ]);
    dead.extend([ 
        cms.PSet(Dead_detID = cms.int32(347649472), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347649468), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347653208), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347653204), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347653624), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347653620), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347657356), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347657360), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347657384), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347657380), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347657472), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347657468), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347661440), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347661436), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347661800), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347661796), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347665512), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347665508), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347870292), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347870296), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347870308), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347870312), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347874312), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347874308), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347874476), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347874480), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347878596), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347878600), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347886668), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347886672), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347886720), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347886716), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347890820), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347890824), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347898972), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347898976), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347902996), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347903000), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347903084), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347903088), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347903136), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347903132), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347907180), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347907184), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347907404), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347907408), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347907428), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347907432), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347911184), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347911180), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347911404), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347911408), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347911408), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347911404), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347911452), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347911456), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347911596), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347911600), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347915548), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347915552), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347915628), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347915632), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347919368), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347919364), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347919384), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347919380), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347919564), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347919568), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347919748), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347919752), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347919852), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347919856), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347919856), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347919852), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347923844), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347923848), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347923960), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347923956), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347927580), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347927584), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347927640), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347927636), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347927724), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347927728), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347927960), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347927956), Module = cms.string('whole')),
                ]);
    process.mix.digitizers.pixel.DeadModules = cms.VPSet(dead)


    process.mix.digitizers.pixel.useDB = False
    process.mix.digitizers.pixel.DeadModules_DB = False
    process.mix.digitizers.pixel.NumPixelBarrel = cms.int32(10)
    process.mix.digitizers.pixel.NumPixelEndcap = cms.int32(14)
    process.mix.digitizers.pixel.ThresholdInElectrons_FPix = cms.double(2000.0)
    process.mix.digitizers.pixel.ThresholdInElectrons_BPix = cms.double(2000.0)
    process.mix.digitizers.pixel.ThresholdInElectrons_BPix_L1 = cms.double(2000.0)
    process.mix.digitizers.pixel.thePixelColEfficiency_BPix4 = cms.double(0.999)
    process.mix.digitizers.pixel.thePixelEfficiency_BPix4 = cms.double(0.999)
    process.mix.digitizers.pixel.thePixelChipEfficiency_BPix4 = cms.double(0.999)
    process.mix.digitizers.pixel.thePixelColEfficiency_FPix3 = cms.double(0.999)
    process.mix.digitizers.pixel.thePixelEfficiency_FPix3 = cms.double(0.999)
    process.mix.digitizers.pixel.thePixelChipEfficiency_FPix3 = cms.double(0.999)
    process.mix.digitizers.pixel.AddPixelInefficiencyFromPython = cms.bool(False)
    process.mix.digitizers.strip.ROUList = cms.vstring("g4SimHitsTrackerHitsPixelBarrelLowTof",
                         'g4SimHitsTrackerHitsPixelEndcapLowTof')
    # Check if mergedtruth is in the sequence first, could be taken out depending on cmsDriver options
    if hasattr(process.mix.digitizers,"mergedtruth") :    
        process.mix.digitizers.mergedtruth.simHitCollections.tracker.remove( cms.InputTag("g4SimHits","TrackerHitsTIBLowTof"))
        process.mix.digitizers.mergedtruth.simHitCollections.tracker.remove( cms.InputTag("g4SimHits","TrackerHitsTIBHighTof"))
        process.mix.digitizers.mergedtruth.simHitCollections.tracker.remove( cms.InputTag("g4SimHits","TrackerHitsTOBLowTof"))
        process.mix.digitizers.mergedtruth.simHitCollections.tracker.remove( cms.InputTag("g4SimHits","TrackerHitsTOBHighTof"))
        process.mix.digitizers.mergedtruth.simHitCollections.tracker.remove( cms.InputTag("g4SimHits","TrackerHitsTECLowTof"))
        process.mix.digitizers.mergedtruth.simHitCollections.tracker.remove( cms.InputTag("g4SimHits","TrackerHitsTECHighTof"))
        process.mix.digitizers.mergedtruth.simHitCollections.tracker.remove( cms.InputTag("g4SimHits","TrackerHitsTIDLowTof"))
        process.mix.digitizers.mergedtruth.simHitCollections.tracker.remove( cms.InputTag("g4SimHits","TrackerHitsTIDHighTof"))
    
    return process


def customise_DigiToRaw(process):
    process.digi2raw_step.remove(process.siPixelRawData)
    process.digi2raw_step.remove(process.rpcpacker)
    return process

def customise_RawToDigi(process):
    process.raw2digi_step.remove(process.siPixelDigis)
    return process

def customise_Reco(process,pileup):



    #use with latest pixel geometry
    process.ClusterShapeHitFilterESProducer.PixelShapeFile = cms.string('RecoPixelVertexing/PixelLowPtUtilities/data/pixelShape_Phase1Tk.par')
    # Need this line to stop error about missing siPixelDigis.
    process.MeasurementTracker.inactivePixelDetectorLabels = cms.VInputTag()

    # new layer list (3/4 pixel seeding) in InitialStep and pixelTracks
    process.pixellayertriplets.layerList = cms.vstring('BPix1+BPix2+BPix3', 'BPix2+BPix3+BPix4',
						       'BPix2+BPix3+FPix1_pos', 'BPix2+BPix3+FPix1_neg',
						       'BPix1+BPix2+FPix1_pos', 'BPix1+BPix2+FPix1_neg',
						       'BPix2+FPix1_pos+FPix2_pos', 'BPix2+FPix1_neg+FPix2_neg',
						       'BPix1+FPix1_pos+FPix2_pos', 'BPix1+FPix1_neg+FPix2_neg',
						       'BPix1+FPix2_pos+FPix3_pos', 'BPix1+FPix2_neg+FPix3_neg',
						       'FPix1_pos+FPix2_pos+FPix3_pos', 'FPix1_neg+FPix2_neg+FPix3_neg',
						       'FPix2_pos+FPix3_pos+FPix4_pos', 'FPix2_neg+FPix3_neg+FPix4_neg',
						       'FPix3_pos+FPix4_pos+FPix5_pos', 'FPix3_neg+FPix4_neg+FPix5_neg',
						       'FPix4_pos+FPix5_pos+FPix6_pos', 'FPix4_neg+FPix5_neg+FPix6_neg',
						       'FPix5_pos+FPix6_pos+FPix7_pos', 'FPix5_neg+FPix6_neg+FPix7_neg',
						       'FPix6_pos+FPix7_pos+FPix8_pos', 'FPix6_neg+FPix7_neg+FPix8_neg',
						       'FPix6_pos+FPix7_pos+FPix9_pos', 'FPix6_neg+FPix7_neg+FPix9_neg')

    # New tracking.  This is really ugly because it redefines globalreco and reconstruction.
    # It can be removed if change one line in Configuration/StandardSequences/python/Reconstruction_cff.py
    # from RecoTracker_cff.py to RecoTrackerPhase1PU140_cff.py

    # remove all the tracking first
    itIndex=process.globalreco.index(process.trackingGlobalReco)
    grIndex=process.reconstruction.index(process.globalreco)

    process.reconstruction.remove(process.globalreco)
    process.globalreco.remove(process.iterTracking)
    process.globalreco.remove(process.electronSeedsSeq)
    process.reconstruction_fromRECO.remove(process.trackingGlobalReco)
    del process.iterTracking
    del process.ckftracks
    del process.ckftracks_woBH
    del process.ckftracks_wodEdX
    del process.ckftracks_plus_pixelless
    del process.trackingGlobalReco
    del process.electronSeedsSeq
    del process.InitialStep
    del process.LowPtTripletStep
    del process.PixelPairStep
    del process.DetachedTripletStep
    del process.MixedTripletStep
    del process.PixelLessStep
    del process.TobTecStep
    del process.earlyGeneralTracks
    del process.ConvStep
    del process.earlyMuons
    del process.muonSeededStepCore
    del process.muonSeededStepExtra 
    del process.muonSeededStep
    del process.muonSeededStepDebug
    
    # add the correct tracking back in
    process.load("RecoTracker.Configuration.RecoTrackerPhase2BEPixel10D_cff")

    process.globalreco.insert(itIndex,process.trackingGlobalReco)
    process.reconstruction.insert(grIndex,process.globalreco)
    #Note process.reconstruction_fromRECO is broken
    
    # End of new tracking configuration which can be removed if new Reconstruction is used.


    process.reconstruction.remove(process.castorreco)
    process.reconstruction.remove(process.CastorTowerReco)
    process.reconstruction.remove(process.ak7BasicJets)
    process.reconstruction.remove(process.ak7CastorJetID)

    #the quadruplet merger configuration     
    process.load("RecoPixelVertexing.PixelTriplets.quadrupletseedmerging_cff")
    process.pixelseedmergerlayers.BPix.TTRHBuilder = cms.string("PixelTTRHBuilderWithoutAngle" )
    process.pixelseedmergerlayers.BPix.HitProducer = cms.string("siPixelRecHits" )
    process.pixelseedmergerlayers.FPix.TTRHBuilder = cms.string("PixelTTRHBuilderWithoutAngle" )
    process.pixelseedmergerlayers.FPix.HitProducer = cms.string("siPixelRecHits" )    
    process.pixelseedmergerlayers.layerList = cms.vstring('BPix1+BPix2+BPix3+BPix4',
						       'BPix1+BPix2+BPix3+FPix1_pos','BPix1+BPix2+BPix3+FPix1_neg',
						       'BPix1+BPix2+FPix1_pos+FPix2_pos', 'BPix1+BPix2+FPix1_neg+FPix2_neg',
						       'BPix1+FPix1_pos+FPix2_pos+FPix3_pos', 'BPix1+FPix1_neg+FPix2_neg+FPix3_neg',
						       'FPix1_pos+FPix2_pos+FPix3_pos+FPix4_pos', 'FPix1_neg+FPix2_neg+FPix3_neg+FPix4_neg',
						       'FPix2_pos+FPix3_pos+FPix4_pos+FPix5_pos', 'FPix2_neg+FPix3_neg+FPix4_neg+FPix5_neg',
						       'FPix3_pos+FPix4_pos+FPix5_pos+FPix6_pos', 'FPix3_neg+FPix4_neg+FPix5_neg+FPix6_pos',
						       'FPix4_pos+FPix5_pos+FPix6_pos+FPix7_pos', 'FPix4_neg+FPix5_neg+FPix6_neg+FPix7_neg',
						       'FPix5_pos+FPix6_pos+FPix7_pos+FPix8_pos', 'FPix5_neg+FPix6_neg+FPix7_neg+FPix8_neg',
						       'FPix5_pos+FPix6_pos+FPix7_pos+FPix9_pos', 'FPix5_neg+FPix6_neg+FPix7_neg+FPix9_neg',
						       'FPix6_pos+FPix7_pos+FPix8_pos+FPix9_pos', 'FPix6_neg+FPix7_neg+FPix8_neg+FPix9_neg')
    
    
    # Need these until pixel templates are used
    process.load("SLHCUpgradeSimulations.Geometry.recoFromSimDigis_cff")
    # PixelCPEGeneric #
    process.PixelCPEGenericESProducer.Upgrade = cms.bool(True)
    process.PixelCPEGenericESProducer.UseErrorsFromTemplates = cms.bool(False)
    process.PixelCPEGenericESProducer.LoadTemplatesFromDB = cms.bool(False)
    process.PixelCPEGenericESProducer.TruncatePixelCharge = cms.bool(False)
    process.PixelCPEGenericESProducer.IrradiationBiasCorrection = False
    process.PixelCPEGenericESProducer.DoCosmics = False
    # CPE for other steps
    process.siPixelRecHits.CPE = cms.string('PixelCPEGeneric')
    # Turn of template use in tracking (iterative steps handled inside their configs)
    process.mergedDuplicateTracks.TTRHBuilder = 'WithTrackAngle'
    process.ctfWithMaterialTracks.TTRHBuilder = 'WithTrackAngle'
    process.muonSeededSeedsInOut.TrackerRecHitBuilder=cms.string('WithTrackAngle')
    process.muonSeededTracksInOut.TTRHBuilder=cms.string('WithTrackAngle')
    process.muons1stStep.TrackerKinkFinderParameters.TrackerRecHitBuilder=cms.string('WithTrackAngle')
    process.regionalCosmicTracks.TTRHBuilder=cms.string('WithTrackAngle')
    process.cosmicsVetoTracksRaw.TTRHBuilder=cms.string('WithTrackAngle')
    # End of pixel template needed section
    
    process.regionalCosmicTrackerSeeds.OrderedHitsFactoryPSet.LayerPSet.layerList  = cms.vstring('BPix9+BPix8')  # Optimize later
    process.regionalCosmicTrackerSeeds.OrderedHitsFactoryPSet.LayerPSet.BPix = cms.PSet(
        HitProducer = cms.string('siPixelRecHits'),
        hitErrorRZ = cms.double(0.006),
        useErrorsFromParam = cms.bool(True),
        TTRHBuilder = cms.string('TTRHBuilderWithoutAngle4PixelPairs'),
        skipClusters = cms.InputTag("pixelPairStepClusters"),
        hitErrorRPhi = cms.double(0.0027)
    )
    # Make pixelTracks use quadruplets
    process.pixelTracks.SeedMergerPSet = cms.PSet(
        layerListName = cms.string('PixelSeedMergerQuadruplets'),
        addRemainingTriplets = cms.bool(False),
        mergeTriplets = cms.bool(True),
        ttrhBuilderLabel = cms.string('PixelTTRHBuilderWithoutAngle')
        )
    process.pixelTracks.OrderedHitsFactoryPSet.GeneratorPSet.maxElement = cms.uint32(0)
    process.pixelTracks.FilterPSet.chi2 = cms.double(50.0)
    process.pixelTracks.FilterPSet.tipMax = cms.double(0.05)
    process.pixelTracks.RegionFactoryPSet.RegionPSet.originRadius =  cms.double(0.02)

    # Particle flow needs to know that the eta range has increased, for
    # when linking tracks to HF clusters
    process=customise_PFlow.customise_extendedTrackerBarrel( process )

    return process

def customise_condOverRides(process):
    process.load('SLHCUpgradeSimulations.Geometry.fakeConditions_BarrelEndcap5DPixel10D_cff')
    process.trackerNumberingSLHCGeometry.layerNumberPXB = cms.uint32(20)
    process.trackerTopologyConstants.pxb_layerStartBit = cms.uint32(20)
    process.trackerTopologyConstants.pxb_ladderStartBit = cms.uint32(12)
    process.trackerTopologyConstants.pxb_moduleStartBit = cms.uint32(2)
    process.trackerTopologyConstants.pxb_layerMask = cms.uint32(15)
    process.trackerTopologyConstants.pxb_ladderMask = cms.uint32(255)
    process.trackerTopologyConstants.pxb_moduleMask = cms.uint32(1023)
    process.trackerTopologyConstants.pxf_diskStartBit = cms.uint32(18)
    process.trackerTopologyConstants.pxf_bladeStartBit = cms.uint32(12)
    process.trackerTopologyConstants.pxf_panelStartBit = cms.uint32(10)
    process.trackerTopologyConstants.pxf_moduleMask = cms.uint32(255)
    return process


def l1EventContent(process):
    #extend the event content

    alist=['RAWSIM','FEVTDEBUG','FEVTDEBUGHLT','GENRAW','RAWSIMHLT','FEVT']
    for a in alist:
        b=a+'output'
        if hasattr(process,b):

            getattr(process,b).outputCommands.append('keep *_TTClustersFromPixelDigis_*_*')
            getattr(process,b).outputCommands.append('keep *_TTStubsFromPixelDigis_*_*')
            getattr(process,b).outputCommands.append('keep *_TTTracksFromPixelDigis_*_*')

            getattr(process,b).outputCommands.append('keep *_TTClusterAssociatorFromPixelDigis_*_*')
            getattr(process,b).outputCommands.append('keep *_TTStubAssociatorFromPixelDigis_*_*')
            getattr(process,b).outputCommands.append('keep *_TTTrackAssociatorFromPixelDigis_*_*')

            getattr(process,b).outputCommands.append('drop PixelDigiSimLinkedmDetSetVector_mix_*_*')
            getattr(process,b).outputCommands.append('drop PixelDigiedmDetSetVector_mix_*_*')

            getattr(process,b).outputCommands.append('keep *_simSiPixelDigis_*_*')

    return process

def customise_DQM(process,pileup):
    # We cut down the number of iterative tracking steps
#    process.dqmoffline_step.remove(process.TrackMonStep3)
#    process.dqmoffline_step.remove(process.TrackMonStep4)
#    process.dqmoffline_step.remove(process.TrackMonStep5)
#    process.dqmoffline_step.remove(process.TrackMonStep6)
    			    #The following two steps were removed
                            #process.PixelLessStep*
                            #process.TobTecStep*
#    process.dqmoffline_step.remove(process.muonAnalyzer)
    process.dqmoffline_step.remove(process.jetMETAnalyzer)
#    process.dqmoffline_step.remove(process.TrackMonStep9)
#    process.dqmoffline_step.remove(process.TrackMonStep10)
#    process.dqmoffline_step.remove(process.PixelTrackingRecHitsValid)

    #put isUpgrade flag==true
    process.SiPixelRawDataErrorSource.isUpgrade = cms.untracked.bool(True)
    process.SiPixelDigiSource.isUpgrade = cms.untracked.bool(True)
    process.SiPixelClusterSource.isUpgrade = cms.untracked.bool(True)
    process.SiPixelRecHitSource.isUpgrade = cms.untracked.bool(True)
    process.SiPixelTrackResidualSource.isUpgrade = cms.untracked.bool(True)
    process.SiPixelHitEfficiencySource.isUpgrade = cms.untracked.bool(True)
    
    from DQM.TrackingMonitor.customizeTrackingMonitorSeedNumber import customise_trackMon_IterativeTracking_PHASE1PU140
    process=customise_trackMon_IterativeTracking_PHASE1PU140(process)
    process.dqmoffline_step.remove(process.Phase1Pu70TrackMonStep2)
    process.dqmoffline_step.remove(process.Phase1Pu70TrackMonStep4)
    if hasattr(process,"globalrechitsanalyze") : # Validation takes this out if pileup is more than 30
       process.globalrechitsanalyze.ROUList = cms.vstring(
          'g4SimHitsTrackerHitsPixelBarrelLowTof', 
          'g4SimHitsTrackerHitsPixelBarrelHighTof', 
          'g4SimHitsTrackerHitsPixelEndcapLowTof', 
          'g4SimHitsTrackerHitsPixelEndcapHighTof')
    return process

def customise_Validation(process,pileup):
    process.validation_step.remove(process.PixelTrackingRecHitsValid)
    process.validation_step.remove(process.stripRecHitsValid)
    process.validation_step.remove(process.trackerHitsValid)
    process.validation_step.remove(process.StripTrackingRecHitsValid)
    # We don't run the HLT
    process.validation_step.remove(process.HLTSusyExoVal)
    process.validation_step.remove(process.hltHiggsValidator)
    process.validation_step.remove(process.relvalMuonBits)
    if pileup>30:
        process.trackValidator.label=cms.VInputTag(cms.InputTag("cutsRecoTracksHp"))
        process.tracksValidationSelectors = cms.Sequence(process.cutsRecoTracksHp)
        process.globalValidation.remove(process.recoMuonValidation)
        process.validation.remove(process.recoMuonValidation)
        process.validation_preprod.remove(process.recoMuonValidation)
        process.validation_step.remove(process.recoMuonValidation)
        process.validation.remove(process.globalrechitsanalyze)
        process.validation_prod.remove(process.globalrechitsanalyze)
        process.validation_step.remove(process.globalrechitsanalyze)
        process.validation.remove(process.stripRecHitsValid)
        process.validation_step.remove(process.stripRecHitsValid)
        process.validation_step.remove(process.StripTrackingRecHitsValid)
        process.globalValidation.remove(process.vertexValidation)
        process.validation.remove(process.vertexValidation)
        process.validation_step.remove(process.vertexValidation)
        process.mix.input.nbPileupEvents.averageNumber = cms.double(0.0)
        process.mix.minBunch = cms.int32(0)
        process.mix.maxBunch = cms.int32(0)

    if hasattr(process,'simHitTPAssocProducer'):    
        process.simHitTPAssocProducer.simHitSrc=cms.VInputTag(cms.InputTag("g4SimHits","TrackerHitsPixelBarrelLowTof"),
                                                              cms.InputTag("g4SimHits","TrackerHitsPixelEndcapLowTof"))

    return process

def customise_harvesting(process):
    process.dqmHarvesting.remove(process.jetMETDQMOfflineClient)
    process.dqmHarvesting.remove(process.dataCertificationJetMET)
    process.dqmHarvesting.remove(process.sipixelEDAClient)
    process.dqmHarvesting.remove(process.sipixelCertification)
    return (process)

