import FWCore.ParameterSet.Config as cms
import SLHCUpgradeSimulations.Configuration.customise_PFlow as customise_PFlow

#GEN-SIM so far...
def customise(process):
    if hasattr(process,'DigiToRaw'):
        process=customise_DigiToRaw(process)
    if hasattr(process,'RawToDigi'):
        process=customise_RawToDigi(process)
    n=0
    if hasattr(process,'reconstruction') or hasattr(process,'dqmoffline_step'):
        if hasattr(process,'mix'):
            if hasattr(process.mix,'input'):
                n=process.mix.input.nbPileupEvents.averageNumber.value()
        else:
            print 'phase1TkCustoms requires a --pileup option to cmsDriver to run the reconstruction/dqm'
            print 'Please provide one!'
            sys.exit(1)
    if hasattr(process,'reconstruction'):
        process=customise_Reco(process,float(n))
    if hasattr(process,'digitisation_step'):
        process=customise_Digi(process)
    if hasattr(process,'dqmoffline_step'):
        process=customise_DQM(process,n)
    if hasattr(process,'dqmHarvesting'):
        process=customise_harvesting(process)
    if hasattr(process,'validation_step'):
        process=customise_Validation(process,float(n))
    process=customise_condOverRides(process)
    
    return process

def customise_Digi(process):
    process.mix.digitizers.pixel.MissCalibrate = False
    process.mix.digitizers.pixel.LorentzAngle_DB = False
    process.mix.digitizers.pixel.killModules = True
    


    dead=cms.VPSet()
    dead.extend([ 
        cms.PSet(Dead_detID = cms.int32(307236968), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307236964), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307237320), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307237316), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307241316), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307241320), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307245204), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307245208), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307245344), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307245340), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307249320), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307249316), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307249440), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307249436), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307249620), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307249624), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307253392), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307253388), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307253452), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307253456), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307253720), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307253716), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307253740), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307253744), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307261504), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307261500), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307261752), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307261748), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307261764), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307261768), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307261836), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307261840), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307261932), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307261936), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307265668), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307265672), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307265688), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307265684), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307265852), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307265856), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307265944), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307265940), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307266004), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307266008), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307269728), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307269724), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307270020), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307270024), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307273744), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307273740), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307273972), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307273976), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307274084), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307274088), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307278036), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307278040), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307278068), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307278072), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307278148), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307278152), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307278216), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307278212), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307278300), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307278304), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307282008), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307282004), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307282112), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307282108), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307282128), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307282124), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307282232), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307282228), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307286028), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307286032), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307286224), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307286220), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307290168), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307290164), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307290216), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307290212), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307290360), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307290356), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307290412), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307290416), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307290504), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307290500), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307294472), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307294468), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307298524), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307298528), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307298568), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307298564), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307298580), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307298584), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307298624), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307298620), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307298716), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(307298720), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308285560), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308285556), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308285584), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308285580), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308285604), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308285608), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308289552), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308289548), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308289596), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308289600), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308289768), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308289764), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308289920), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308289916), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308289924), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308289928), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308293680), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308293676), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308293728), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308293724), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308294000), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308293996), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308297852), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308297856), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308297868), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308297872), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308297928), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308297924), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308301836), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308301840), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308301856), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308301852), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308301928), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308301924), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308302104), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308302100), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308302176), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308302172), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308302228), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308302232), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308302244), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308302248), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308305976), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308305972), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308306272), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308306268), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308310224), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308310220), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308310292), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308310296), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308310428), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308310432), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308314160), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308314156), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308322348), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308322352), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308322604), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308322608), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308322664), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308322660), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308322708), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308322712), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308326624), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308326620), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308326828), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308326832), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308330556), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308330560), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308330744), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308330740), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308334904), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308334900), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308338952), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308338948), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308338968), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308338964), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308343040), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308343036), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308343088), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308343084), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308347156), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308347160), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308347172), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308347176), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308347196), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308347200), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308351068), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308351072), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308351244), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308351248), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308351276), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308351280), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308355260), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308355264), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308355400), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308355396), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308355488), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308355484), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308359200), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308359196), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308359292), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308359296), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308359332), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308359336), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308363496), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308363492), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308363572), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308363576), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308371796), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308371800), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308375680), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308375676), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308375924), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308375928), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308375984), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308375980), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308379956), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308379960), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308380064), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(308380060), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309334020), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309334024), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309334072), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309334068), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309334136), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309334132), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309334152), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309334148), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309334424), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309334420), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309338300), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309338304), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309338380), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309338384), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309346380), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309346384), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309346388), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309346392), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309350500), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309350504), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309350584), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309350580), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309350768), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309350764), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309354592), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309354588), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309354672), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309354668), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309354684), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309354688), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309354828), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309354832), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309354856), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309354852), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309358624), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309358620), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309358696), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309358692), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309358712), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309358708), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309362968), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309362964), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309366824), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309366820), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309366844), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309366848), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309367172), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309367176), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309371008), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309371004), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309375020), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309375024), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309375056), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309375052), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309375220), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309375224), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309375224), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309375220), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309375260), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309375264), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309375336), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309375332), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309375348), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309375352), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309379288), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309379284), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309379496), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309379492), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309383372), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309383376), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309383376), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309383372), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309383380), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309383384), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309387672), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309387668), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309391428), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309391432), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309391748), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309391752), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309395660), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309395664), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309395844), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309395848), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309399576), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309399572), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309399676), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309399680), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309399972), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309399976), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309403780), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309403784), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309403992), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309403988), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309404008), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309404004), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309407900), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309407904), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309412040), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309412036), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309412124), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309412128), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309416084), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309416088), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309416176), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309416172), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309416180), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309416184), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309416272), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309416268), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309420268), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309420272), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309424300), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309424304), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309424532), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309424536), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309428296), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309428292), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309428324), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309428328), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309428328), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309428324), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309428488), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309428484), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309428636), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309428640), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309428656), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309428652), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309436580), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309436584), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309436756), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309436760), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309436776), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309436772), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309436816), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309436812), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309444876), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309444880), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309444896), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309444892), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309448848), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309448844), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309448864), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309448860), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309449024), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309449020), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309449092), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309449096), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309452840), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309452836), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309452876), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309452880), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309452944), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309452940), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309453224), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309453220), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309457052), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309457056), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309457104), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309457100), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309457160), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309457156), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309461340), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309461344), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309465240), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309465236), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309465364), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309465368), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309469264), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309469260), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309469356), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309469360), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309469556), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309469560), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309469604), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(309469608), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310382784), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310382780), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310386712), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310386708), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310386776), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310386772), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310386800), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310386796), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310386812), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310386816), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310390864), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310390860), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310394968), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310394964), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310403180), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310403184), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310403260), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310403264), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310407300), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310407304), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310407320), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310407316), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310411276), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310411280), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310411300), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310411304), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310411316), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310411320), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310411328), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310411324), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310415448), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310415444), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310415492), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310415496), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310419596), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310419600), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310419604), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310419608), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310423556), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310423560), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310423564), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310423568), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310423628), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310423632), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310423728), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310423724), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310427800), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310427796), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310431872), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310431868), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310431892), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310431896), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310435984), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310435980), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310439980), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310439984), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310440016), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310440012), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310444072), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310444068), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310444220), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310444224), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310452264), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310452260), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310452284), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310452288), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310452340), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310452344), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310460504), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310460500), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310464536), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310464532), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310464604), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310464608), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310464668), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310464672), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310468748), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310468752), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310468788), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310468792), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310476932), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310476936), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310476948), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310476952), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310480972), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310480976), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310480996), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310481000), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310485004), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310485008), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310485060), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310485064), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310485132), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310485136), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310493228), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310493232), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310493296), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310493292), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310493312), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310493308), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310493356), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310493360), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310497296), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310497292), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310497352), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310497348), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310497380), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310497384), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310497428), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310497432), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310501500), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310501504), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310501556), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310501560), Module = cms.string('whole')),
    	 ]);
    dead.extend([ 
        cms.PSet(Dead_detID = cms.int32(310505488), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310505484), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310513760), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310513756), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310513784), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310513780), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310513812), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310513816), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310517948), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310517952), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310521900), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310521904), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310521904), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310521900), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310521908), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310521912), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310521964), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310521968), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310526084), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310526088), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310530108), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310530112), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310530136), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310530132), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310534168), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310534164), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310538280), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310538276), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310538408), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310538404), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310542460), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310542464), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310542528), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310542524), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310546440), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310546436), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310546520), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310546516), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310550568), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310550564), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310550580), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310550584), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310550648), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310550644), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310554648), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310554644), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310558768), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310558764), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310558784), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310558780), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310558836), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310558840), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310562932), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310562936), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310562976), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310562972), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310562984), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310562980), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310571092), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310571096), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310575256), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310575252), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310587408), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310587404), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310591520), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310591516), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310591548), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310591552), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310591572), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310591576), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310591620), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310591624), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310591656), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310591652), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310595616), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310595612), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310595684), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310595688), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310599820), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310599824), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310607892), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310607896), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310607920), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310607916), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310607928), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310607924), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310607940), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310607944), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310612072), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310612068), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310612116), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310612120), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310616164), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310616168), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310620300), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310620304), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310624320), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310624316), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310624448), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310624444), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310628380), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310628384), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310628504), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(310628500), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311431288), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311431284), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311435296), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311435292), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311451680), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311451676), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311455756), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311455760), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311459952), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311459948), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311468112), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311468108), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311468184), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311468180), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311480340), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311480344), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311488536), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311488532), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311492752), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311492748), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311500872), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311500868), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311500880), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311500876), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311504916), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311504920), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311521376), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311521372), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311525524), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311525528), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311529532), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311529536), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311533644), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311533648), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311558160), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311558156), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311558320), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311558316), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311562432), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311562428), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311566412), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311566416), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311570540), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311570544), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311570600), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311570596), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311574652), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311574656), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311578708), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311578712), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311586940), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311586944), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311595048), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311595044), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311599172), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311599176), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311599188), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311599192), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311607340), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311607344), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311607372), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311607376), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311611512), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311611508), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311615540), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311615544), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311615588), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311615592), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311615672), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311615668), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311619632), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311619628), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311623844), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311623848), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311623860), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311623864), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311631900), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311631904), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311631980), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311631984), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311631988), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311631992), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311632032), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311632028), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311632036), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311632040), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311636132), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311636136), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311640128), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311640124), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311644208), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311644204), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311652536), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311652532), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311664664), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311664660), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311668876), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311668880), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311668892), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311668896), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311672868), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311672872), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311672884), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311672888), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311681152), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311681148), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311685124), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311685128), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311685128), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311685124), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311689340), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311689344), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311689384), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311689380), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311689408), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311689404), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311693348), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311693352), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311693444), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311693448), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311705684), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311705688), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311709792), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311709788), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311709816), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311709812), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311722080), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311722076), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311730348), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311730352), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311734376), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(311734372), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355210336), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355210332), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355214476), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355214480), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355218436), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355218440), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355218476), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355218480), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355218492), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355218496), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355226860), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355226864), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355230860), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355230864), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355234856), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355234852), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355234996), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355235000), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355235072), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355235068), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355239004), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355239008), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355239144), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355239140), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355239196), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355239200), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355239216), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355239212), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355243228), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355243232), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355247288), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355247284), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355247296), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355247292), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355247392), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355247388), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355251360), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355251356), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355255652), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355255656), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355255760), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355255756), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355259408), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355259404), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355259412), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355259416), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355259668), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355259672), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355259696), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355259692), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355263644), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355263648), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355263676), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355263680), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355263712), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355263708), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355263868), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355263872), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355264008), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355264004), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355267784), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355267780), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355267956), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355267960), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355268008), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355268004), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355268048), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355268044), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355476484), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355476488), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355476500), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355476504), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355476536), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355476532), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355488808), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355488804), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355501072), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355501068), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355501300), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355501304), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355505400), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355505396), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355509352), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355509348), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355509420), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355509424), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355509584), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355509580), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355513512), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355513508), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355517576), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355517572), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355517580), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355517584), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355517708), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355517712), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355517796), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355517800), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355521560), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355521556), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355521828), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355521832), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355521848), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355521844), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355521988), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355521992), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355525748), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355525752), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355525764), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355525768), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355530008), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355530004), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355738648), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355738644), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355738748), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355738752), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355738800), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355738796), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355742760), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355742756), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355742764), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355742768), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355742788), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355742792), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355742816), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355742812), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355742892), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355742896), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355746840), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355746836), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355746860), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355746864), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355755104), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355755100), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355755212), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355755216), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355755232), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355755228), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355759108), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355759112), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355759220), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355759224), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355759344), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355759340), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355763368), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355763364), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355767560), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355767556), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355771464), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355771460), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355771596), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355771600), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355771688), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355771684), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355771692), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355771696), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355771736), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355771732), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355775516), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355775520), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355775788), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355775792), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355779824), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355779820), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355779988), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355779992), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355783968), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355783964), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355787812), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355787816), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355787912), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355787908), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355791980), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355791984), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355792020), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355792024), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355792044), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355792048), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355792352), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355792348), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355996748), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(355996752), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356000876), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356000880), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356000944), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356000940), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356004952), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356004948), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356008976), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356008972), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356017176), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356017172), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356017184), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356017180), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356017212), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356017216), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356017404), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356017408), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356021256), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356021252), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356021320), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356021316), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356025436), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356025440), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356025476), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356025480), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356029632), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356029628), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356033612), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356033616), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356033744), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356033740), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356037688), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356037684), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356037712), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356037708), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356037828), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356037832), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356041952), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356041948), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356042016), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356042012), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356045876), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356045880), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356045928), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356045924), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356046104), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356046100), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356046144), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356046140), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356050180), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356050184), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356050472), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356050468), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356054336), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356054332), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356054448), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356054444), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356258836), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356258840), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356263088), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356263084), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356267224), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356267220), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356271300), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356271304), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356275224), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356275220), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356275260), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356275264), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356275380), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356275384), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356275440), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356275436), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356279300), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356279304), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356287548), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356287552), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356291640), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356291636), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356291716), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356291720), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356291796), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356291800), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356299832), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356299828), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356299968), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356299964), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356300188), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356300192), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356304240), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356304236), Module = cms.string('whole')),
    	 ]);
    dead.extend([ 
        cms.PSet(Dead_detID = cms.int32(356308040), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356308036), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356308308), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356308312), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356308464), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356308460), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356308492), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356308496), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356312184), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356312180), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356312336), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356312332), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356312668), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356312672), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356316448), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356316444), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356316456), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(356316452), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346825840), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346825836), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346833992), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346833988), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346842192), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346842188), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346842260), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346842264), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346842316), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346842320), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346842332), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346842336), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346846284), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346846288), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346846288), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346846284), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346846308), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346846312), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346850348), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346850352), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346850364), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346850368), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346850384), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346850380), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346854408), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346854404), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346854456), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346854452), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346854520), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346854516), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346854532), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346854536), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346854636), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346854640), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346854712), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346854708), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346858728), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346858724), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346862648), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346862644), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346862740), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346862744), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346862884), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346862888), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346862904), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346862900), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346862912), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346862908), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346866780), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346866784), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346870808), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346870804), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346870988), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346870992), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346870992), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346870988), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346871188), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346871192), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346871224), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346871220), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346871232), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346871228), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346874944), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346874940), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346875480), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346875476), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346879076), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346879080), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346879148), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346879152), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346879356), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346879360), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346879388), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(346879392), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347083876), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347083880), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347096156), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347096160), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347096188), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347096192), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347096268), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347096272), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347100316), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347100320), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347112712), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347112708), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347116620), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347116624), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347116856), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347116852), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347120676), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347120680), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347120680), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347120676), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347121000), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347120996), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347124848), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347124844), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347128872), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347128868), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347132956), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347132960), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347132996), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347133000), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347133008), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347133004), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347133036), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347133040), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347133248), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347133244), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347133472), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347133468), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347137324), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347137328), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347141260), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347141264), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347141364), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347141368), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347141444), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347141448), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347141472), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347141468), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347345984), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347345980), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347346080), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347346076), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347350084), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347350088), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347350088), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347350084), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347354196), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347354200), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347354208), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347354204), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347354244), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347354248), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347358272), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347358268), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347362376), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347362372), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347362464), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347362460), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347362476), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347362480), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347366524), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347366528), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347366572), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347366576), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347370736), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347370732), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347374648), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347374644), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347374872), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347374868), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347382788), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347382792), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347382836), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347382840), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347383128), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347383124), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347386996), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347387000), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347387052), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347387056), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347387152), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347387148), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347390988), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347390992), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347391388), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347391392), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347391448), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347391444), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347395372), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347395376), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347395448), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347395444), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347399528), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347399524), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347403400), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347403396), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347403784), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347403780), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347608068), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347608072), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347612260), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347612264), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347612300), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347612304), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347612352), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347612348), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347616420), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347616424), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347620384), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347620380), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347620420), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347620424), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347620512), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347620508), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347624484), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347624488), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347628660), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347628664), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347636832), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347636828), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347640840), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347640836), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347641016), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347641012), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347644944), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347644940), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347645144), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347645140), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347649036), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347649040), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347649096), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347649092), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347649196), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347649200), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347649344), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347649340), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347649360), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347649356), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347653196), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347653200), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347653300), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347653304), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347657500), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347657504), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347657584), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347657580), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347661428), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347661432), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347661492), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347661496), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347661592), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347661588), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347661772), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347661776), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347661828), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347661832), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347665524), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347665528), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347665732), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347665736), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347665760), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347665756), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347665784), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347665780), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347665844), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347665848), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347665856), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347665852), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347665900), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347665904), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347874356), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347874360), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347878404), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347878408), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347882548), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347882552), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347886636), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347886640), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347886800), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347886796), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347894904), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347894900), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347894984), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347894980), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347895068), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347895072), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347898896), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347898892), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347898944), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347898940), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347899036), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347899040), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347899116), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347899120), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347907120), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347907116), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347907408), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347907404), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347907440), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347907436), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347911280), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347911276), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347911484), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347911488), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347911616), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347911612), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347915564), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347915568), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347915568), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347915564), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347919440), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347919436), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347919672), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347919668), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347919712), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347919708), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347919804), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347919808), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347919808), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347919804), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347919884), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347919888), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347923796), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347923800), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347927692), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347927696), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347927912), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347927908), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347928016), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347928012), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347928048), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347928044), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347928068), Module = cms.string('whole')),
        cms.PSet(Dead_detID = cms.int32(347928072), Module = cms.string('whole')),
                ]);
    process.mix.digitizers.pixel.DeadModules = cms.VPSet(dead)



    process.mix.digitizers.pixel.useDB = False
    process.mix.digitizers.pixel.DeadModules_DB = False
    process.mix.digitizers.pixel.NumPixelBarrel = cms.int32(10)
    process.mix.digitizers.pixel.NumPixelEndcap = cms.int32(14)
    process.mix.digitizers.pixel.ThresholdInElectrons_FPix = cms.double(2000.0)
    process.mix.digitizers.pixel.ThresholdInElectrons_BPix = cms.double(2000.0)
    process.mix.digitizers.pixel.ThresholdInElectrons_BPix_L1 = cms.double(2000.0)
    process.mix.digitizers.pixel.thePixelColEfficiency_BPix4 = cms.double(0.999)
    process.mix.digitizers.pixel.thePixelEfficiency_BPix4 = cms.double(0.999)
    process.mix.digitizers.pixel.thePixelChipEfficiency_BPix4 = cms.double(0.999)
    process.mix.digitizers.pixel.thePixelColEfficiency_FPix3 = cms.double(0.999)
    process.mix.digitizers.pixel.thePixelEfficiency_FPix3 = cms.double(0.999)
    process.mix.digitizers.pixel.thePixelChipEfficiency_FPix3 = cms.double(0.999)
    process.mix.digitizers.pixel.AddPixelInefficiencyFromPython = cms.bool(False)
    process.mix.digitizers.strip.ROUList = cms.vstring("g4SimHitsTrackerHitsPixelBarrelLowTof",
                         'g4SimHitsTrackerHitsPixelEndcapLowTof')
    # Check if mergedtruth is in the sequence first, could be taken out depending on cmsDriver options
    if hasattr(process.mix.digitizers,"mergedtruth") :    
        process.mix.digitizers.mergedtruth.simHitCollections.tracker.remove( cms.InputTag("g4SimHits","TrackerHitsTIBLowTof"))
        process.mix.digitizers.mergedtruth.simHitCollections.tracker.remove( cms.InputTag("g4SimHits","TrackerHitsTIBHighTof"))
        process.mix.digitizers.mergedtruth.simHitCollections.tracker.remove( cms.InputTag("g4SimHits","TrackerHitsTOBLowTof"))
        process.mix.digitizers.mergedtruth.simHitCollections.tracker.remove( cms.InputTag("g4SimHits","TrackerHitsTOBHighTof"))
        process.mix.digitizers.mergedtruth.simHitCollections.tracker.remove( cms.InputTag("g4SimHits","TrackerHitsTECLowTof"))
        process.mix.digitizers.mergedtruth.simHitCollections.tracker.remove( cms.InputTag("g4SimHits","TrackerHitsTECHighTof"))
        process.mix.digitizers.mergedtruth.simHitCollections.tracker.remove( cms.InputTag("g4SimHits","TrackerHitsTIDLowTof"))
        process.mix.digitizers.mergedtruth.simHitCollections.tracker.remove( cms.InputTag("g4SimHits","TrackerHitsTIDHighTof"))
    
    return process


def customise_DigiToRaw(process):
    process.digi2raw_step.remove(process.siPixelRawData)
    process.digi2raw_step.remove(process.rpcpacker)
    return process

def customise_RawToDigi(process):
    process.raw2digi_step.remove(process.siPixelDigis)
    return process

def customise_Reco(process,pileup):



    #use with latest pixel geometry
    process.ClusterShapeHitFilterESProducer.PixelShapeFile = cms.string('RecoPixelVertexing/PixelLowPtUtilities/data/pixelShape_Phase1Tk.par')
    # Need this line to stop error about missing siPixelDigis.
    process.MeasurementTracker.inactivePixelDetectorLabels = cms.VInputTag()

    # new layer list (3/4 pixel seeding) in InitialStep and pixelTracks
    process.pixellayertriplets.layerList = cms.vstring('BPix1+BPix2+BPix3', 'BPix2+BPix3+BPix4',
						       'BPix2+BPix3+FPix1_pos', 'BPix2+BPix3+FPix1_neg',
						       'BPix1+BPix2+FPix1_pos', 'BPix1+BPix2+FPix1_neg',
						       'BPix2+FPix1_pos+FPix2_pos', 'BPix2+FPix1_neg+FPix2_neg',
						       'BPix1+FPix1_pos+FPix2_pos', 'BPix1+FPix1_neg+FPix2_neg',
						       'BPix1+FPix2_pos+FPix3_pos', 'BPix1+FPix2_neg+FPix3_neg',
						       'FPix1_pos+FPix2_pos+FPix3_pos', 'FPix1_neg+FPix2_neg+FPix3_neg',
						       'FPix2_pos+FPix3_pos+FPix4_pos', 'FPix2_neg+FPix3_neg+FPix4_neg',
						       'FPix3_pos+FPix4_pos+FPix5_pos', 'FPix3_neg+FPix4_neg+FPix5_neg',
						       'FPix4_pos+FPix5_pos+FPix6_pos', 'FPix4_neg+FPix5_neg+FPix6_neg',
						       'FPix5_pos+FPix6_pos+FPix7_pos', 'FPix5_neg+FPix6_neg+FPix7_neg',
						       'FPix6_pos+FPix7_pos+FPix8_pos', 'FPix6_neg+FPix7_neg+FPix8_neg',
						       'FPix6_pos+FPix7_pos+FPix9_pos', 'FPix6_neg+FPix7_neg+FPix9_neg')

    # New tracking.  This is really ugly because it redefines globalreco and reconstruction.
    # It can be removed if change one line in Configuration/StandardSequences/python/Reconstruction_cff.py
    # from RecoTracker_cff.py to RecoTrackerPhase1PU140_cff.py

    # remove all the tracking first
    itIndex=process.globalreco.index(process.trackingGlobalReco)
    grIndex=process.reconstruction.index(process.globalreco)

    process.reconstruction.remove(process.globalreco)
    process.globalreco.remove(process.iterTracking)
    process.globalreco.remove(process.electronSeedsSeq)
    process.reconstruction_fromRECO.remove(process.trackingGlobalReco)
    del process.iterTracking
    del process.ckftracks
    del process.ckftracks_woBH
    del process.ckftracks_wodEdX
    del process.ckftracks_plus_pixelless
    del process.trackingGlobalReco
    del process.electronSeedsSeq
    del process.InitialStep
    del process.LowPtTripletStep
    del process.PixelPairStep
    del process.DetachedTripletStep
    del process.MixedTripletStep
    del process.PixelLessStep
    del process.TobTecStep
    del process.earlyGeneralTracks
    del process.ConvStep
    del process.earlyMuons
    del process.muonSeededStepCore
    del process.muonSeededStepExtra 
    del process.muonSeededStep
    del process.muonSeededStepDebug
    
    # add the correct tracking back in
    process.load("RecoTracker.Configuration.RecoTrackerPhase2BEPixel10D_cff")

    process.globalreco.insert(itIndex,process.trackingGlobalReco)
    process.reconstruction.insert(grIndex,process.globalreco)
    #Note process.reconstruction_fromRECO is broken
    
    # End of new tracking configuration which can be removed if new Reconstruction is used.


    process.reconstruction.remove(process.castorreco)
    process.reconstruction.remove(process.CastorTowerReco)
    process.reconstruction.remove(process.ak7BasicJets)
    process.reconstruction.remove(process.ak7CastorJetID)

    #the quadruplet merger configuration     
    process.load("RecoPixelVertexing.PixelTriplets.quadrupletseedmerging_cff")
    process.pixelseedmergerlayers.BPix.TTRHBuilder = cms.string("PixelTTRHBuilderWithoutAngle" )
    process.pixelseedmergerlayers.BPix.HitProducer = cms.string("siPixelRecHits" )
    process.pixelseedmergerlayers.FPix.TTRHBuilder = cms.string("PixelTTRHBuilderWithoutAngle" )
    process.pixelseedmergerlayers.FPix.HitProducer = cms.string("siPixelRecHits" )    
    process.pixelseedmergerlayers.layerList = cms.vstring('BPix1+BPix2+BPix3+BPix4',
						       'BPix1+BPix2+BPix3+FPix1_pos','BPix1+BPix2+BPix3+FPix1_neg',
						       'BPix1+BPix2+FPix1_pos+FPix2_pos', 'BPix1+BPix2+FPix1_neg+FPix2_neg',
						       'BPix1+FPix1_pos+FPix2_pos+FPix3_pos', 'BPix1+FPix1_neg+FPix2_neg+FPix3_neg',
						       'FPix1_pos+FPix2_pos+FPix3_pos+FPix4_pos', 'FPix1_neg+FPix2_neg+FPix3_neg+FPix4_neg',
						       'FPix2_pos+FPix3_pos+FPix4_pos+FPix5_pos', 'FPix2_neg+FPix3_neg+FPix4_neg+FPix5_neg',
						       'FPix3_pos+FPix4_pos+FPix5_pos+FPix6_pos', 'FPix3_neg+FPix4_neg+FPix5_neg+FPix6_pos',
						       'FPix4_pos+FPix5_pos+FPix6_pos+FPix7_pos', 'FPix4_neg+FPix5_neg+FPix6_neg+FPix7_neg',
						       'FPix5_pos+FPix6_pos+FPix7_pos+FPix8_pos', 'FPix5_neg+FPix6_neg+FPix7_neg+FPix8_neg',
						       'FPix5_pos+FPix6_pos+FPix7_pos+FPix9_pos', 'FPix5_neg+FPix6_neg+FPix7_neg+FPix9_neg',
						       'FPix6_pos+FPix7_pos+FPix8_pos+FPix9_pos', 'FPix6_neg+FPix7_neg+FPix8_neg+FPix9_neg')
    
    
    # Need these until pixel templates are used
    process.load("SLHCUpgradeSimulations.Geometry.recoFromSimDigis_cff")
    # PixelCPEGeneric #
    process.PixelCPEGenericESProducer.Upgrade = cms.bool(True)
    process.PixelCPEGenericESProducer.UseErrorsFromTemplates = cms.bool(False)
    process.PixelCPEGenericESProducer.LoadTemplatesFromDB = cms.bool(False)
    process.PixelCPEGenericESProducer.TruncatePixelCharge = cms.bool(False)
    process.PixelCPEGenericESProducer.IrradiationBiasCorrection = False
    process.PixelCPEGenericESProducer.DoCosmics = False
    # CPE for other steps
    process.siPixelRecHits.CPE = cms.string('PixelCPEGeneric')
    # Turn of template use in tracking (iterative steps handled inside their configs)
    process.mergedDuplicateTracks.TTRHBuilder = 'WithTrackAngle'
    process.ctfWithMaterialTracks.TTRHBuilder = 'WithTrackAngle'
    process.muonSeededSeedsInOut.TrackerRecHitBuilder=cms.string('WithTrackAngle')
    process.muonSeededTracksInOut.TTRHBuilder=cms.string('WithTrackAngle')
    process.muons1stStep.TrackerKinkFinderParameters.TrackerRecHitBuilder=cms.string('WithTrackAngle')
    process.regionalCosmicTracks.TTRHBuilder=cms.string('WithTrackAngle')
    process.cosmicsVetoTracksRaw.TTRHBuilder=cms.string('WithTrackAngle')
    # End of pixel template needed section
    
    process.regionalCosmicTrackerSeeds.OrderedHitsFactoryPSet.LayerPSet.layerList  = cms.vstring('BPix9+BPix8')  # Optimize later
    process.regionalCosmicTrackerSeeds.OrderedHitsFactoryPSet.LayerPSet.BPix = cms.PSet(
        HitProducer = cms.string('siPixelRecHits'),
        hitErrorRZ = cms.double(0.006),
        useErrorsFromParam = cms.bool(True),
        TTRHBuilder = cms.string('TTRHBuilderWithoutAngle4PixelPairs'),
        skipClusters = cms.InputTag("pixelPairStepClusters"),
        hitErrorRPhi = cms.double(0.0027)
    )
    # Make pixelTracks use quadruplets
    process.pixelTracks.SeedMergerPSet = cms.PSet(
        layerListName = cms.string('PixelSeedMergerQuadruplets'),
        addRemainingTriplets = cms.bool(False),
        mergeTriplets = cms.bool(True),
        ttrhBuilderLabel = cms.string('PixelTTRHBuilderWithoutAngle')
        )
    process.pixelTracks.OrderedHitsFactoryPSet.GeneratorPSet.maxElement = cms.uint32(0)
    process.pixelTracks.FilterPSet.chi2 = cms.double(50.0)
    process.pixelTracks.FilterPSet.tipMax = cms.double(0.05)
    process.pixelTracks.RegionFactoryPSet.RegionPSet.originRadius =  cms.double(0.02)

    # Particle flow needs to know that the eta range has increased, for
    # when linking tracks to HF clusters
    process=customise_PFlow.customise_extendedTrackerBarrel( process )

    return process

def customise_condOverRides(process):
    process.load('SLHCUpgradeSimulations.Geometry.fakeConditions_BarrelEndcap5DPixel10DLHCC_cff')
    process.trackerNumberingSLHCGeometry.layerNumberPXB = cms.uint32(20)
    process.trackerTopologyConstants.pxb_layerStartBit = cms.uint32(20)
    process.trackerTopologyConstants.pxb_ladderStartBit = cms.uint32(12)
    process.trackerTopologyConstants.pxb_moduleStartBit = cms.uint32(2)
    process.trackerTopologyConstants.pxb_layerMask = cms.uint32(15)
    process.trackerTopologyConstants.pxb_ladderMask = cms.uint32(255)
    process.trackerTopologyConstants.pxb_moduleMask = cms.uint32(1023)
    process.trackerTopologyConstants.pxf_diskStartBit = cms.uint32(18)
    process.trackerTopologyConstants.pxf_bladeStartBit = cms.uint32(12)
    process.trackerTopologyConstants.pxf_panelStartBit = cms.uint32(10)
    process.trackerTopologyConstants.pxf_moduleMask = cms.uint32(255)
    return process


def l1EventContent(process):
    #extend the event content

    alist=['RAWSIM','FEVTDEBUG','FEVTDEBUGHLT','GENRAW','RAWSIMHLT','FEVT']
    for a in alist:
        b=a+'output'
        if hasattr(process,b):

            getattr(process,b).outputCommands.append('keep *_TTClustersFromPixelDigis_*_*')
            getattr(process,b).outputCommands.append('keep *_TTStubsFromPixelDigis_*_*')
            getattr(process,b).outputCommands.append('keep *_TTTracksFromPixelDigis_*_*')

            getattr(process,b).outputCommands.append('keep *_TTClusterAssociatorFromPixelDigis_*_*')
            getattr(process,b).outputCommands.append('keep *_TTStubAssociatorFromPixelDigis_*_*')
            getattr(process,b).outputCommands.append('keep *_TTTrackAssociatorFromPixelDigis_*_*')

            getattr(process,b).outputCommands.append('drop PixelDigiSimLinkedmDetSetVector_mix_*_*')
            getattr(process,b).outputCommands.append('drop PixelDigiedmDetSetVector_mix_*_*')

            getattr(process,b).outputCommands.append('keep *_simSiPixelDigis_*_*')

    return process

def customise_DQM(process,pileup):
    # We cut down the number of iterative tracking steps
#    process.dqmoffline_step.remove(process.TrackMonStep3)
#    process.dqmoffline_step.remove(process.TrackMonStep4)
#    process.dqmoffline_step.remove(process.TrackMonStep5)
#    process.dqmoffline_step.remove(process.TrackMonStep6)
    			    #The following two steps were removed
                            #process.PixelLessStep*
                            #process.TobTecStep*
#    process.dqmoffline_step.remove(process.muonAnalyzer)
    process.dqmoffline_step.remove(process.jetMETAnalyzer)
#    process.dqmoffline_step.remove(process.TrackMonStep9)
#    process.dqmoffline_step.remove(process.TrackMonStep10)
#    process.dqmoffline_step.remove(process.PixelTrackingRecHitsValid)

    #put isUpgrade flag==true
    process.SiPixelRawDataErrorSource.isUpgrade = cms.untracked.bool(True)
    process.SiPixelDigiSource.isUpgrade = cms.untracked.bool(True)
    process.SiPixelClusterSource.isUpgrade = cms.untracked.bool(True)
    process.SiPixelRecHitSource.isUpgrade = cms.untracked.bool(True)
    process.SiPixelTrackResidualSource.isUpgrade = cms.untracked.bool(True)
    process.SiPixelHitEfficiencySource.isUpgrade = cms.untracked.bool(True)
    
    from DQM.TrackingMonitor.customizeTrackingMonitorSeedNumber import customise_trackMon_IterativeTracking_PHASE1PU140
    process=customise_trackMon_IterativeTracking_PHASE1PU140(process)
    process.dqmoffline_step.remove(process.Phase1Pu70TrackMonStep2)
    process.dqmoffline_step.remove(process.Phase1Pu70TrackMonStep4)
    if hasattr(process,"globalrechitsanalyze") : # Validation takes this out if pileup is more than 30
       process.globalrechitsanalyze.ROUList = cms.vstring(
          'g4SimHitsTrackerHitsPixelBarrelLowTof', 
          'g4SimHitsTrackerHitsPixelBarrelHighTof', 
          'g4SimHitsTrackerHitsPixelEndcapLowTof', 
          'g4SimHitsTrackerHitsPixelEndcapHighTof')
    return process

def customise_Validation(process,pileup):
    process.validation_step.remove(process.PixelTrackingRecHitsValid)
    process.validation_step.remove(process.stripRecHitsValid)
    process.validation_step.remove(process.trackerHitsValid)
    process.validation_step.remove(process.StripTrackingRecHitsValid)
    # We don't run the HLT
    process.validation_step.remove(process.HLTSusyExoVal)
    process.validation_step.remove(process.hltHiggsValidator)
    process.validation_step.remove(process.relvalMuonBits)
    if pileup>30:
        process.trackValidator.label=cms.VInputTag(cms.InputTag("cutsRecoTracksHp"))
        process.tracksValidationSelectors = cms.Sequence(process.cutsRecoTracksHp)
        process.globalValidation.remove(process.recoMuonValidation)
        process.validation.remove(process.recoMuonValidation)
        process.validation_preprod.remove(process.recoMuonValidation)
        process.validation_step.remove(process.recoMuonValidation)
        process.validation.remove(process.globalrechitsanalyze)
        process.validation_prod.remove(process.globalrechitsanalyze)
        process.validation_step.remove(process.globalrechitsanalyze)
        process.validation.remove(process.stripRecHitsValid)
        process.validation_step.remove(process.stripRecHitsValid)
        process.validation_step.remove(process.StripTrackingRecHitsValid)
        process.globalValidation.remove(process.vertexValidation)
        process.validation.remove(process.vertexValidation)
        process.validation_step.remove(process.vertexValidation)
        process.mix.input.nbPileupEvents.averageNumber = cms.double(0.0)
        process.mix.minBunch = cms.int32(0)
        process.mix.maxBunch = cms.int32(0)

    if hasattr(process,'simHitTPAssocProducer'):    
        process.simHitTPAssocProducer.simHitSrc=cms.VInputTag(cms.InputTag("g4SimHits","TrackerHitsPixelBarrelLowTof"),
                                                              cms.InputTag("g4SimHits","TrackerHitsPixelEndcapLowTof"))

    return process

def customise_harvesting(process):
    process.dqmHarvesting.remove(process.jetMETDQMOfflineClient)
    process.dqmHarvesting.remove(process.dataCertificationJetMET)
    process.dqmHarvesting.remove(process.sipixelEDAClient)
    process.dqmHarvesting.remove(process.sipixelCertification)
    return (process)

